<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

use App\Models\Holdings;
use App\Models\HoldingUsersType;

class HoldingsUserTypeController extends Controller
{
    public function createHoldingUserType(Request $request)
    {
        try {
            $request->validate([
                'title' => 'required',
                'display_name' => 'required',
            ]);

            $holding_user = HoldingUsersType::create([
                'title' => $request->title,
                'display_name' => $request->display_name,
            ]);

            return response()->json([
                'success' => true,
                'message' => 'Holding User Inserted Successfully',
                'data' => $holding_user,
            ]);
        } catch (\Exception $e) {
            return response()->json(['success' => false, 'message' => $e->getMessage()]);
        }
    }

    public function listHoldingUserType()
    {
        try {


                $data['holding_user'] = HoldingUsersType::get();
                return response()->json([
                    'success' => true,
                    'data' => $data,
                ]);

        } catch (\Exception $e) {
            return response()->json(['success' => false, 'message' => $e->getMessage()]);
        }
    }

    public function editHoldingUserType($id)
    {
        $holding_user = HoldingUsersType::find($id);
        if ($holding_user) {
            return response()->json(['success' => true, 'data' => $holding_user]);
        }
        return response()->json(['success' => false, 'message' => 'Holding User Not Found!']);
    }

    public function updateHoldingUserType(Request $request)
    {
        try {
            $request->validate([
                'id' => 'required|numeric',
            ]);

            $holding_user = HoldingUsersType::find($request->id);
            $input = $request->all();
            if ($holding_user) {

                $holding_user->update($input);
                return response()->json(['success' => true, 'data' => $holding_user, 'message' => 'User Updated.']);
            } else {
                return response()->json(['success' => false, 'message' => 'User Not Found!']);
            }
        } catch (\Exception $e) {
            return response()->json(['success' => false, 'message' => $e->getMessage()]);
        }
    }

    public function deleteHoldingUserType($id)
    {
        try {
            /* $holding_user = HoldingUsersType::find($id);
            if ($holding_user) {
                Holdings::where('holding_users_id',$id)->delete();
                HoldingUsersType::where('id', $id)->delete();
                return response()->json(['success' => true, 'message' => 'Holding User Deleted.']);
            } else {
                return response()->json(['success' => false, 'message' => 'Holding User Not Found!']);
            } */
        } catch (\Exception $e) {
            return response()->json(['success' => false, 'message' => $e->getMessage()]);
        }
    }
}
