@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        <!-- row -->
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Holding User</h4>
                    </div>
                    <div class="card-body">
                        <div class="basic-form">
                            <div id="response"></div>
                            <form class="form-valide-with-icon needs-validation" id="holding-user"
                                enctype="multipart/form-data">
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="name" class="form-control" placeholder="Enter Name">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">Description</label>
                                    <textarea class="form-control" rows="4" id="description" name="description"></textarea>
                                </div>
                                <div class="mb-3">
                                    <label class="col-sm-3 col-form-label">Image</label>
                                    <div class="input-group">
                                        <div class="form-file">
                                            <input type="file" name="image" accept="image/*"
                                                class="form-file-input form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">View Holdings URL</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="holding_url" class="form-control"
                                            placeholder="Enter Holding Url">
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <label class="col-sm-3 col-form-label">View Holdings Button Name</label>
                                    <div class="col-sm-12">
                                        <input type="text" name="holding_button_name" class="form-control" placeholder="Enter Button Name">
                                    </div>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">User Type</label>
                                    <select class="form-control wide" name="user_type_id" id="user_type_id">
                                        <option value="">Select User Type</option>
                                    </select>
                                </div>
                                <button type="submit" class="btn me-2 btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        var token = sessionStorage.getItem('token');
        var url = "{{ env('APP_URL') }}";
        $('#holding-user').submit(function(event) {
            event.preventDefault();

            // var formData = $(this).serialize();
            var formData = new FormData(this);
            var url = "{{ env('APP_URL') }}";
            $.ajax({
                url: url + "/create-holding-user",
                type: 'POST',
                data: formData,
                success: function(data) {
                    console.log(data);
                    if (data.success) {
                        $('form#holding-user').trigger("reset");
                        window.location = url + "/list-holding-user-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + data
                            .message + "</div>");
                    }
                },
                cache: false,
                contentType: false,
                processData: false
            });
        });
        $(document).ready(function() {
            $.ajax({
                type: "GET",
                url: url + "/list-holding-user-type",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                headers: {
                    "Authorization": "Bearer " + token
                },
                success: function(msg) {
                    console.log(msg);
                    if (msg.success) {
                        var json = msg.data.holding_user;
                        var row = '';
                        $.each(json, function(index, obj) {
                            row += '<option value="' + obj.id + '">' + obj.title + '</option>';
                        });
                        $('#user_type_id').append(row);
                    } else if (msg.message == 'User is not Authenticated.') {
                        window.location = url + "/login-view";
                    } else {
                        $('#response').html("<div class='alert alert-danger'>" + msg.message +
                        "</div>");
                    }
                }
            });
        });
        // $(document).ready(function() {

        // });
    </script>
@endsection
